// processing code
// http://myinventions.pl

import processing.serial.*;
Serial myPort;
int X=40;
int Y;
float t1 = 0;
float t2 = 0;

void setup() 
{
  size(580, 316);
  background(200);
  rect(40,30,500,255);
  PFont font;
  font = loadFont("ArialMT-16.vlw");
  textFont(font); 
  fill(0);
  text("5V",18,37);
  text("0V",18,292);
  text("czas",260,302);
  myPort = new Serial(this,"COM4", 9600);
}
void draw()
{
  if ( myPort.available() > 0)
  {
    Y = int(285-myPort.read());
    stroke(255,0,0);
    point(X,Y);
    X++;
    if (X>=540){
      X=40;
      background(200);
      text("5V",18,37);
      text("0V",18,292);
      text("czas",260,302);
      stroke(0);
      fill(255);
      rect(40,30,500,255);
      t2 =float(millis())/1000;
      print("długość kreślenia przebiegu [s]: ");
      println(t2-t1);
      t1=float(millis())/1000;
      fill(0);
    }
  }
}


/*arduino code

void setup(){
  Serial.begin(9600);
}
void loop(){
  Serial.print(analogRead(0)/4, BYTE);
  delay(20);
}

próbkowanie 50Hz
5V ------ Potencjometr  ---------- GND
                ^------Analogi In 0
*/
